#!/usr/bin/env python
#
# Copyright (c) 2019, Pycom Limited.
#
# This software is licensed under the GNU GPL version 3 or any
# later version, with permitted additional terms. For more information
# see the Pycom Licence v1.0 document supplied with this file, or
# available at https://www.pycom.io/opensource/licensing
#

""" LoPy LoRaWAN Nano Gateway configuration options """

import machine
import ubinascii


WIFI_MAC = ubinascii.hexlify(machine.unique_id()).upper()

GATEWAY_ID = WIFI_MAC[:6] + "FFFE" + WIFI_MAC[6:12]

SERVER = 'router.br.thethings.network'
PORT = 1700

NTP = "pool.ntp.org"
NTP_PERIOD_S = 3600

WIFI_SSID = 'VIVO-6D78'
WIFI_PASS = 'd9ETJW7TVA'

#WIFI_SSID = 'SITIO VELOX'
#WIFI_PASS = 'sitio102'

# for US915
LORA_FREQUENCY = 903900000
LORA_GW_DR = "SF10BW125" # DR_0
LORA_NODE_DR = 0
